Package com.google.protobuf

# Class DescriptorProtos.FileDescriptorProto.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>
com.google.protobuf.DescriptorProtos.FileDescriptorProto.Builder

All Implemented Interfaces:
  `DescriptorProtos.FileDescriptorProtoOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  DescriptorProtos.FileDescriptorProto

public static final class DescriptorProtos.FileDescriptorProto.Builder extends GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder> implements DescriptorProtos.FileDescriptorProtoOrBuilder
Protobuf type `google.protobuf.FileDescriptorProto`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllDependency(Iterable<String> values)`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllEnumType(Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllExtension(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllMessageType(Iterable<? extends DescriptorProtos.DescriptorProto> values)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllPublicDependency(Iterable<? extends Integer> values)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllService(Iterable<? extends DescriptorProtos.ServiceDescriptorProto> values)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addAllWeakDependency(Iterable<? extends Integer> values)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addDependency(String value)`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addDependencyBytes(ByteString value)`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addEnumType(DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addEnumTypeBuilder()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addEnumTypeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addExtension(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addExtension(DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addExtensionBuilder()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`addExtensionBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addMessageType(int index, DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addMessageType(DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addMessageType(DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addMessageTypeBuilder()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProto.Builder`
`addMessageTypeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addPublicDependency(int value)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addService(int index, DescriptorProtos.ServiceDescriptorProto value)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addService(DescriptorProtos.ServiceDescriptorProto value)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addService(DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProto.Builder`
`addServiceBuilder()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProto.Builder`
`addServiceBuilder(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addWeakDependency(int value)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`DescriptorProtos.FileDescriptorProto`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FileDescriptorProto`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FileDescriptorProto.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FileDescriptorProto.Builder`
`clearDependency()`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearEdition()`
`optional string edition = 13 [json_name = "edition"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearEnumType()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearExtension()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearMessageType()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearPackage()`
`optional string package = 2 [json_name = "package"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearPublicDependency()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearService()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`clearWeakDependency()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`DescriptorProtos.FileDescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`String`
`getDependency(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`ByteString`
`getDependencyBytes(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`int`
`getDependencyCount()`
`repeated string dependency = 3 [json_name = "dependency"];`
`ProtocolStringList`
`getDependencyList()`
`repeated string dependency = 3 [json_name = "dependency"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getEdition()`
`optional string edition = 13 [json_name = "edition"];`
`ByteString`
`getEditionBytes()`
`optional string edition = 13 [json_name = "edition"];`
`DescriptorProtos.EnumDescriptorProto`
`getEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`getEnumTypeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto.Builder>`
`getEnumTypeBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`int`
`getEnumTypeCount()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto>`
`getEnumTypeList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`getEnumTypeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>`
`getEnumTypeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FieldDescriptorProto`
`getExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProto.Builder`
`getExtensionBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto.Builder>`
`getExtensionBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`int`
`getExtensionCount()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getExtensionList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getExtensionOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getExtensionOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto`
`getMessageType(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProto.Builder`
`getMessageTypeBuilder(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<DescriptorProtos.DescriptorProto.Builder>`
`getMessageTypeBuilderList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`int`
`getMessageTypeCount()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<DescriptorProtos.DescriptorProto>`
`getMessageTypeList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProtoOrBuilder`
`getMessageTypeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<? extends DescriptorProtos.DescriptorProtoOrBuilder>`
`getMessageTypeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileOptions`
`getOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileOptions.Builder`
`getOptionsBuilder()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`String`
`getPackage()`
`optional string package = 2 [json_name = "package"];`
`ByteString`
`getPackageBytes()`
`optional string package = 2 [json_name = "package"];`
`int`
`getPublicDependency(int index)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`int`
`getPublicDependencyCount()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`List<Integer>`
`getPublicDependencyList()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.ServiceDescriptorProto`
`getService(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProto.Builder`
`getServiceBuilder(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<DescriptorProtos.ServiceDescriptorProto.Builder>`
`getServiceBuilderList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`int`
`getServiceCount()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<DescriptorProtos.ServiceDescriptorProto>`
`getServiceList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProtoOrBuilder`
`getServiceOrBuilder(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>`
`getServiceOrBuilderList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.SourceCodeInfo`
`getSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.SourceCodeInfo.Builder`
`getSourceCodeInfoBuilder()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.SourceCodeInfoOrBuilder`
`getSourceCodeInfoOrBuilder()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`String`
`getSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`ByteString`
`getSyntaxBytes()`
`optional string syntax = 12 [json_name = "syntax"];`
`int`
`getWeakDependency(int index)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`int`
`getWeakDependencyCount()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`List<Integer>`
`getWeakDependencyList()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`boolean`
`hasEdition()`
`optional string edition = 13 [json_name = "edition"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`boolean`
`hasPackage()`
`optional string package = 2 [json_name = "package"];`
`boolean`
`hasSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`boolean`
`hasSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FileDescriptorProto.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FileDescriptorProto.Builder`
`mergeFrom(DescriptorProtos.FileDescriptorProto other)`
`DescriptorProtos.FileDescriptorProto.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.FileDescriptorProto.Builder`
`mergeOptions(DescriptorProtos.FileOptions value)`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`mergeSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`final DescriptorProtos.FileDescriptorProto.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`DescriptorProtos.FileDescriptorProto.Builder`
`removeEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`removeExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`removeMessageType(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`removeService(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setDependency(int index, String value)`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setEdition(String value)`
`optional string edition = 13 [json_name = "edition"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setEditionBytes(ByteString value)`
`optional string edition = 13 [json_name = "edition"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setExtension(int index, DescriptorProtos.FieldDescriptorProto value)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setMessageType(int index, DescriptorProtos.DescriptorProto value)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setOptions(DescriptorProtos.FileOptions value)`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setOptions(DescriptorProtos.FileOptions.Builder builderForValue)`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setPackage(String value)`
`optional string package = 2 [json_name = "package"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setPackageBytes(ByteString value)`
`optional string package = 2 [json_name = "package"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setPublicDependency(int index, int value)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setService(int index, DescriptorProtos.ServiceDescriptorProto value)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setSourceCodeInfo(DescriptorProtos.SourceCodeInfo.Builder builderForValue)`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setSyntax(String value)`
`optional string syntax = 12 [json_name = "syntax"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`setSyntaxBytes(ByteString value)`
`optional string syntax = 12 [json_name = "syntax"];`
`final DescriptorProtos.FileDescriptorProto.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`DescriptorProtos.FileDescriptorProto.Builder`
`setWeakDependency(int index, int value)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### clear

public DescriptorProtos.FileDescriptorProto.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FileDescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FileDescriptorProto build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FileDescriptorProto buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(DescriptorProtos.FileDescriptorProto other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileDescriptorProto.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### setName

public DescriptorProtos.FileDescriptorProto.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DescriptorProtos.FileDescriptorProto.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DescriptorProtos.FileDescriptorProto.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasPackage

public boolean hasPackage()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `hasPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the package field is set.

### getPackage

public String getPackage()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `getPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The package.

### getPackageBytes

public ByteString getPackageBytes()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `getPackageBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for package.

### setPackage

public DescriptorProtos.FileDescriptorProto.Builder setPackage(String value)
`optional string package = 2 [json_name = "package"];`

Parameters:
  `value` - The package to set.
Returns:
  This builder for chaining.

### clearPackage

public DescriptorProtos.FileDescriptorProto.Builder clearPackage()
`optional string package = 2 [json_name = "package"];`

Returns:
  This builder for chaining.

### setPackageBytes

public DescriptorProtos.FileDescriptorProto.Builder setPackageBytes(ByteString value)
`optional string package = 2 [json_name = "package"];`

Parameters:
  `value` - The bytes for package to set.
Returns:
  This builder for chaining.

### getDependencyList

public ProtocolStringList getDependencyList()
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the dependency.

### getDependencyCount

public int getDependencyCount()
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of dependency.

### getDependency

public String getDependency(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The dependency at the given index.

### getDependencyBytes

public ByteString getDependencyBytes(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the dependency at the given index.

### setDependency

public DescriptorProtos.FileDescriptorProto.Builder setDependency(int index, String value)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The dependency to set.
Returns:
  This builder for chaining.

### addDependency

public DescriptorProtos.FileDescriptorProto.Builder addDependency(String value)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `value` - The dependency to add.
Returns:
  This builder for chaining.

### addAllDependency

public DescriptorProtos.FileDescriptorProto.Builder addAllDependency(Iterable<String> values)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `values` - The dependency to add.
Returns:
  This builder for chaining.

### clearDependency

public DescriptorProtos.FileDescriptorProto.Builder clearDependency()
`repeated string dependency = 3 [json_name = "dependency"];`

Returns:
  This builder for chaining.

### addDependencyBytes

public DescriptorProtos.FileDescriptorProto.Builder addDependencyBytes(ByteString value)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `value` - The bytes of the dependency to add.
Returns:
  This builder for chaining.

### getPublicDependencyList

public List<Integer> getPublicDependencyList()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the publicDependency.

### getPublicDependencyCount

public int getPublicDependencyCount()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of publicDependency.

### getPublicDependency

public int getPublicDependency(int index)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The publicDependency at the given index.

### setPublicDependency

public DescriptorProtos.FileDescriptorProto.Builder setPublicDependency(int index, int value)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The publicDependency to set.
Returns:
  This builder for chaining.

### addPublicDependency

public DescriptorProtos.FileDescriptorProto.Builder addPublicDependency(int value)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Parameters:
  `value` - The publicDependency to add.
Returns:
  This builder for chaining.

### addAllPublicDependency

public DescriptorProtos.FileDescriptorProto.Builder addAllPublicDependency(Iterable<? extends Integer> values)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Parameters:
  `values` - The publicDependency to add.
Returns:
  This builder for chaining.

### clearPublicDependency

public DescriptorProtos.FileDescriptorProto.Builder clearPublicDependency()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Returns:
  This builder for chaining.

### getWeakDependencyList

public List<Integer> getWeakDependencyList()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the weakDependency.

### getWeakDependencyCount

public int getWeakDependencyCount()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of weakDependency.

### getWeakDependency

public int getWeakDependency(int index)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The weakDependency at the given index.

### setWeakDependency

public DescriptorProtos.FileDescriptorProto.Builder setWeakDependency(int index, int value)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The weakDependency to set.
Returns:
  This builder for chaining.

### addWeakDependency

public DescriptorProtos.FileDescriptorProto.Builder addWeakDependency(int value)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Parameters:
  `value` - The weakDependency to add.
Returns:
  This builder for chaining.

### addAllWeakDependency

public DescriptorProtos.FileDescriptorProto.Builder addAllWeakDependency(Iterable<? extends Integer> values)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Parameters:
  `values` - The weakDependency to add.
Returns:
  This builder for chaining.

### clearWeakDependency

public DescriptorProtos.FileDescriptorProto.Builder clearWeakDependency()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Returns:
  This builder for chaining.

### getMessageTypeList

public List<DescriptorProtos.DescriptorProto> getMessageTypeList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageTypeCount

public int getMessageTypeCount()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageType

public DescriptorProtos.DescriptorProto getMessageType(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### setMessageType

public DescriptorProtos.FileDescriptorProto.Builder setMessageType(int index, DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### setMessageType

public DescriptorProtos.FileDescriptorProto.Builder setMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addMessageType

public DescriptorProtos.FileDescriptorProto.Builder addMessageType(DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addMessageType

public DescriptorProtos.FileDescriptorProto.Builder addMessageType(int index, DescriptorProtos.DescriptorProto value)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addMessageType

public DescriptorProtos.FileDescriptorProto.Builder addMessageType(DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addMessageType

public DescriptorProtos.FileDescriptorProto.Builder addMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addAllMessageType

public DescriptorProtos.FileDescriptorProto.Builder addAllMessageType(Iterable<? extends DescriptorProtos.DescriptorProto> values)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### clearMessageType

public DescriptorProtos.FileDescriptorProto.Builder clearMessageType()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### removeMessageType

public DescriptorProtos.FileDescriptorProto.Builder removeMessageType(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeBuilder

public DescriptorProtos.DescriptorProto.Builder getMessageTypeBuilder(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeOrBuilder

public DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageTypeOrBuilderList

public List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### addMessageTypeBuilder

public DescriptorProtos.DescriptorProto.Builder addMessageTypeBuilder()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### addMessageTypeBuilder

public DescriptorProtos.DescriptorProto.Builder addMessageTypeBuilder(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeBuilderList

public List<DescriptorProtos.DescriptorProto.Builder> getMessageTypeBuilderList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getEnumTypeList

public List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeCount

public int getEnumTypeCount()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumType

public DescriptorProtos.EnumDescriptorProto getEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### setEnumType

public DescriptorProtos.FileDescriptorProto.Builder setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### setEnumType

public DescriptorProtos.FileDescriptorProto.Builder setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.FileDescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.FileDescriptorProto.Builder addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.FileDescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addEnumType

public DescriptorProtos.FileDescriptorProto.Builder addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addAllEnumType

public DescriptorProtos.FileDescriptorProto.Builder addAllEnumType(Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### clearEnumType

public DescriptorProtos.FileDescriptorProto.Builder clearEnumType()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### removeEnumType

public DescriptorProtos.FileDescriptorProto.Builder removeEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder getEnumTypeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeOrBuilder

public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeOrBuilderList

public List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### addEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### addEnumTypeBuilder

public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeBuilderList

public List<DescriptorProtos.EnumDescriptorProto.Builder> getEnumTypeBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getServiceList

public List<DescriptorProtos.ServiceDescriptorProto> getServiceList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceCount

public int getServiceCount()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getService

public DescriptorProtos.ServiceDescriptorProto getService(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getService` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### setService

public DescriptorProtos.FileDescriptorProto.Builder setService(int index, DescriptorProtos.ServiceDescriptorProto value)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### setService

public DescriptorProtos.FileDescriptorProto.Builder setService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addService

public DescriptorProtos.FileDescriptorProto.Builder addService(DescriptorProtos.ServiceDescriptorProto value)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addService

public DescriptorProtos.FileDescriptorProto.Builder addService(int index, DescriptorProtos.ServiceDescriptorProto value)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addService

public DescriptorProtos.FileDescriptorProto.Builder addService(DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addService

public DescriptorProtos.FileDescriptorProto.Builder addService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addAllService

public DescriptorProtos.FileDescriptorProto.Builder addAllService(Iterable<? extends DescriptorProtos.ServiceDescriptorProto> values)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### clearService

public DescriptorProtos.FileDescriptorProto.Builder clearService()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### removeService

public DescriptorProtos.FileDescriptorProto.Builder removeService(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceBuilder

public DescriptorProtos.ServiceDescriptorProto.Builder getServiceBuilder(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceOrBuilder

public DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceOrBuilderList

public List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### addServiceBuilder

public DescriptorProtos.ServiceDescriptorProto.Builder addServiceBuilder()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### addServiceBuilder

public DescriptorProtos.ServiceDescriptorProto.Builder addServiceBuilder(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceBuilderList

public List<DescriptorProtos.ServiceDescriptorProto.Builder> getServiceBuilderList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getExtensionList

public List<DescriptorProtos.FieldDescriptorProto> getExtensionList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionCount

public int getExtensionCount()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtension

public DescriptorProtos.FieldDescriptorProto getExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtension` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### setExtension

public DescriptorProtos.FileDescriptorProto.Builder setExtension(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### setExtension

public DescriptorProtos.FileDescriptorProto.Builder setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addExtension

public DescriptorProtos.FileDescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addExtension

public DescriptorProtos.FileDescriptorProto.Builder addExtension(int index, DescriptorProtos.FieldDescriptorProto value)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addExtension

public DescriptorProtos.FileDescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addExtension

public DescriptorProtos.FileDescriptorProto.Builder addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addAllExtension

public DescriptorProtos.FileDescriptorProto.Builder addAllExtension(Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### clearExtension

public DescriptorProtos.FileDescriptorProto.Builder clearExtension()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### removeExtension

public DescriptorProtos.FileDescriptorProto.Builder removeExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder getExtensionBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionOrBuilder

public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionOrBuilderList

public List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### addExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### addExtensionBuilder

public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionBuilderList

public List<DescriptorProtos.FieldDescriptorProto.Builder> getExtensionBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.FileOptions getOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The options.

### setOptions

public DescriptorProtos.FileDescriptorProto.Builder setOptions(DescriptorProtos.FileOptions value)
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### setOptions

public DescriptorProtos.FileDescriptorProto.Builder setOptions(DescriptorProtos.FileOptions.Builder builderForValue)
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### mergeOptions

public DescriptorProtos.FileDescriptorProto.Builder mergeOptions(DescriptorProtos.FileOptions value)
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### clearOptions

public DescriptorProtos.FileDescriptorProto.Builder clearOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### getOptionsBuilder

public DescriptorProtos.FileOptions.Builder getOptionsBuilder()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### getOptionsOrBuilder

public DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### hasSourceCodeInfo

public boolean hasSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `hasSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the sourceCodeInfo field is set.

### getSourceCodeInfo

public DescriptorProtos.SourceCodeInfo getSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `getSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The sourceCodeInfo.

### setSourceCodeInfo

public DescriptorProtos.FileDescriptorProto.Builder setSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### setSourceCodeInfo

public DescriptorProtos.FileDescriptorProto.Builder setSourceCodeInfo(DescriptorProtos.SourceCodeInfo.Builder builderForValue)
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### mergeSourceCodeInfo

public DescriptorProtos.FileDescriptorProto.Builder mergeSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### clearSourceCodeInfo

public DescriptorProtos.FileDescriptorProto.Builder clearSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### getSourceCodeInfoBuilder

public DescriptorProtos.SourceCodeInfo.Builder getSourceCodeInfoBuilder()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### getSourceCodeInfoOrBuilder

public DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `getSourceCodeInfoOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### hasSyntax

public boolean hasSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `hasSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the syntax field is set.

### getSyntax

public String getSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The syntax.

### getSyntaxBytes

public ByteString getSyntaxBytes()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `getSyntaxBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for syntax.

### setSyntax

public DescriptorProtos.FileDescriptorProto.Builder setSyntax(String value)
`optional string syntax = 12 [json_name = "syntax"];`

Parameters:
  `value` - The syntax to set.
Returns:
  This builder for chaining.

### clearSyntax

public DescriptorProtos.FileDescriptorProto.Builder clearSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Returns:
  This builder for chaining.

### setSyntaxBytes

public DescriptorProtos.FileDescriptorProto.Builder setSyntaxBytes(ByteString value)
`optional string syntax = 12 [json_name = "syntax"];`

Parameters:
  `value` - The bytes for syntax to set.
Returns:
  This builder for chaining.

### hasEdition

public boolean hasEdition()
`optional string edition = 13 [json_name = "edition"];`

Specified by:
  `hasEdition` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the edition field is set.

### getEdition

public String getEdition()
`optional string edition = 13 [json_name = "edition"];`

Specified by:
  `getEdition` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The edition.

### getEditionBytes

public ByteString getEditionBytes()
`optional string edition = 13 [json_name = "edition"];`

Specified by:
  `getEditionBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for edition.

### setEdition

public DescriptorProtos.FileDescriptorProto.Builder setEdition(String value)
`optional string edition = 13 [json_name = "edition"];`

Parameters:
  `value` - The edition to set.
Returns:
  This builder for chaining.

### clearEdition

public DescriptorProtos.FileDescriptorProto.Builder clearEdition()
`optional string edition = 13 [json_name = "edition"];`

Returns:
  This builder for chaining.

### setEditionBytes

public DescriptorProtos.FileDescriptorProto.Builder setEditionBytes(ByteString value)
`optional string edition = 13 [json_name = "edition"];`

Parameters:
  `value` - The bytes for edition to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DescriptorProtos.FileDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

### mergeUnknownFields

public final DescriptorProtos.FileDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`